ranges::v3::view::generate_fn Struct Reference
Views

## Synopsis of methods

constexpr generate_fn | generate {}

## Public Types

template<typename G >
using | Concept = meta::and_< Invocable< G & >, MoveConstructible< G >, std::is_object< detail::decay_t< result_of_t< G &()> >>, Constructible< detail::decay_t< result_of_t< G &()> >, result_of_t< G &()> >, Assignable< detail::decay_t< result_of_t< G &()> > &, result_of_t< G &()> >>

## Public Member Functions

template<typename G , requires = (Concept<G>())>
generate_view< G > | operator() (G g) const